// ==UserScript==
// @name          ScaleAvatars
// @namespace     http://jake.org
// @description   scale forum avatars to 120px width
// @include       http://www.halforums.com/*
// ==/UserScript==

var allImg, thisImg, maxWidth, maxHeight;

// These are the maximum avatar widths and heights
maxWidth = 50;
maxHeight = 50;

var allImg = document.getElementsByTagName('img');
for (var i = 0; i < allImg.length; i++) {
    thisImg = allImg[i];
    if (thisImg.alt){
        if (thisImg.width > maxWidth){
            thisImg.height = thisImg.height/thisImg.width*maxWidth;
            thisImg.width = maxWidth;
        }
        if (thisImg.height > maxHeight){
            thisImg.width = thisImg.width/thisImg.height*maxHeight;
            thisImg.height = maxHeight;
        }
    }
}

